# Enum Class Sex

java.lang.Object
java.lang.Enum<Sex>
org.snpeff.ped.Sex

All Implemented Interfaces:
  `Serializable, Comparable<Sex>, Constable`

public enum Sex extends Enum<Sex>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Female`
`Male`
`Unknown`

## Method Summary

Modifier and Type
Method
Description
`Sex`
`opposite()`
Return the opposite sex
`static Sex`
`rand(Random random)`
Random sex
`static Sex`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Sex[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Male

public static final Sex Male

### Female

public static final Sex Female

### Unknown

public static final Sex Unknown

## Method Details

### values

public static Sex[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Sex valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### rand

public static Sex rand(Random random)
Random sex

Returns:

### opposite

public Sex opposite()
Return the opposite sex

Parameters:
  `sex` -
Returns: